diff --git a/sys/dev/raid/arcmsr/arcmsr.h b/sys/dev/raid/arcmsr/arcmsr.h
index ed91264..45edfff 100644
--- a/sys/dev/raid/arcmsr/arcmsr.h
+++ b/sys/dev/raid/arcmsr/arcmsr.h
@@ -1406,21 +1577,21 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_SECONDARY_STATUS_REG	             0x1E    /*word: 0x1F,0x1E */
 /*
 **==============================================================================
-**  0x23-0x20 :
+**  0x23-0x20 : 
 **  PCI CFG Base Address #4 (0x20)
 **-----------------0x23,0x22,0x21,0x20--Memory Base and Limit Register - MBL
 ** Bit       Default                       Description
 ** 31:20      000h                              Memory Limit: These 12 bits are compared with P_AD[31:20] of the incoming address to determine
-**                                                            the upper 1MB aligned value (exclusive) of the range.
-**                                                            The incoming address must be less than or equal to this value.
-**                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0]
+**                                                            the upper 1MB aligned value (exclusive) of the range. 
+**                                                            The incoming address must be less than or equal to this value. 
+**                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0] 
 **									are assumed to be F FFFFh.
 ** 19:16        0h                            Reserved.
-** 15:04      000h                               Memory Base: These 12 bits are compared with bits P_AD[31:20]
-**								of the incoming address to determine the lower 1MB
-**								aligned value (inclusive) of the range.
+** 15:04      000h                               Memory Base: These 12 bits are compared with bits P_AD[31:20] 
+**								of the incoming address to determine the lower 1MB 
+**								aligned value (inclusive) of the range. 
 **                                                            The incoming address must be greater than or equal to this value.
-**                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0])
+**                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0]) 
 **								are assumed to be 0 0000h.
 ** 03:00        0h                            Reserved.
 **==============================================================================
@@ -1429,20 +1600,20 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_NONPREFETCHABLE_MEMORY_LIMIT_REG  0x22    /*word: 0x23,0x22 */
 /*
 **==============================================================================
-**  0x27-0x24 :
-**  PCI CFG Base Address #5 (0x24)
+**  0x27-0x24 : 
+**  PCI CFG Base Address #5 (0x24) 
 **-----------------0x27,0x26,0x25,0x24--Prefetchable Memory Base and Limit Register - PMBL
 ** Bit       Default                       Description
 ** 31:20      000h                 Prefetchable Memory Limit: These 12 bits are compared with P_AD[31:20] of the incoming address to determine
-**                                                            the upper 1MB aligned value (exclusive) of the range.
-**                                                            The incoming address must be less than or equal to this value.
-**                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0]
+**                                                            the upper 1MB aligned value (exclusive) of the range. 
+**                                                            The incoming address must be less than or equal to this value. 
+**                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0] 
 **									are assumed to be F FFFFh.
 ** 19:16        1h                          64-bit Indicator: Indicates that 64-bit addressing is supported.
-** 15:04      000h                  Prefetchable Memory Base: These 12 bits are compared with bits P_AD[31:20]
-**								of the incoming address to determine the lower 1MB aligned value (inclusive)
-**								of the range.
-**                                                            The incoming address must be greater than or equal to this value.
+** 15:04      000h                  Prefetchable Memory Base: These 12 bits are compared with bits P_AD[31:20] 
+**								of the incoming address to determine the lower 1MB aligned value (inclusive) 
+**								of the range. 
+**                                                            The incoming address must be greater than or equal to this value. 
 **                                                            For the purposes of address decoding the lower 20 address bits (P_AD[19:0])
 **								 are assumed to be 0 0000h.
 ** 03:00        1h                          64-bit Indicator: Indicates that 64-bit addressing is supported.
@@ -1452,31 +1623,31 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_PREFETCHABLE_MEMORY_LIMIT_REG     0x26    /*word: 0x27,0x26 */
 /*
 **==============================================================================
-**  0x2b-0x28 :
+**  0x2b-0x28 : 
 ** Bit       Default                       Description
-** 31:00    00000000h Prefetchable Memory Base Upper Portion: All bits are read/writable
+** 31:00    00000000h Prefetchable Memory Base Upper Portion: All bits are read/writable  
 **                                                            bridge supports full 64-bit addressing.
 **==============================================================================
 */
 #define     ARCMSR_PCI2PCI_PREFETCHABLE_MEMORY_BASE_UPPER32_REG     0x28    /*dword: 0x2b,0x2a,0x29,0x28 */
 /*
 **==============================================================================
-**  0x2f-0x2c :
+**  0x2f-0x2c : 
 ** Bit       Default                       Description
-** 31:00    00000000h Prefetchable Memory Limit Upper Portion: All bits are read/writable
+** 31:00    00000000h Prefetchable Memory Limit Upper Portion: All bits are read/writable 
 **                                                             bridge supports full 64-bit addressing.
 **==============================================================================
 */
 #define     ARCMSR_PCI2PCI_PREFETCHABLE_MEMORY_LIMIT_UPPER32_REG    0x2C    /*dword: 0x2f,0x2e,0x2d,0x2c */
 /*
 **==============================================================================
-**  0x33-0x30 :
+**  0x33-0x30 : 
 ** Bit       Default                       Description
 ** 07:00       DCh                      Capabilities Pointer: Pointer to the first CAP ID entry in the capabilities list is at DCh in PCI configuration
 **                                                            space. (Power Management Capability Registers)
 **==============================================================================
 */
-#define     ARCMSR_PCI2PCI_CAPABILITIES_POINTER_REG	                 0x34    /*byte*/
+#define     ARCMSR_PCI2PCI_CAPABILITIES_POINTER_REG	                 0x34    /*byte*/ 
 /*
 **==============================================================================
 **  0x3b-0x35 : reserved
@@ -1484,18 +1655,18 @@ struct SENSE_DATA {
 */
 /*
 **==============================================================================
-**  0x3d-0x3c :
+**  0x3d-0x3c : 
 **
 ** Bit       Default                       Description
 ** 15:08       00h                       Interrupt Pin (PIN): Bridges do not support the generation of interrupts.
 ** 07:00       00h                     Interrupt Line (LINE): The bridge does not generate interrupts, so this is reserved as '00h'.
 **==============================================================================
 */
-#define     ARCMSR_PCI2PCI_PRIMARY_INTERRUPT_LINE_REG                0x3C    /*byte*/
-#define     ARCMSR_PCI2PCI_PRIMARY_INTERRUPT_PIN_REG                 0x3D    /*byte*/
+#define     ARCMSR_PCI2PCI_PRIMARY_INTERRUPT_LINE_REG                0x3C    /*byte*/ 
+#define     ARCMSR_PCI2PCI_PRIMARY_INTERRUPT_PIN_REG                 0x3D    /*byte*/ 
 /*
 **==============================================================================
-**  0x3f-0x3e :
+**  0x3f-0x3e : 
 ** Bit       Default                       Description
 ** 15:12        0h                          Reserved
 ** 11           0b                Discard Timer SERR# Enable: Controls the generation of SERR# on the primary interface (P_SERR#) in response
@@ -1504,90 +1675,90 @@ struct SENSE_DATA {
 **                                                            1b=SERR# is asserted.
 ** 10           0b                Discard Timer Status (DTS): This bit is set to a '1b' when either the primary or secondary discard timer expires.
 **                                                            The delayed completion is then discarded.
-** 09           0b             Secondary Discard Timer (SDT): Sets the maximum number of PCI clock cycles
-**									that bridge waits for an initiator on the secondary bus
-**									to repeat a delayed transaction request.
-**                                                            The counter starts when the delayed transaction completion is ready
-**									to be returned to the initiator.
-**                                                            When the initiator has not repeated the transaction
-**									at least once before the counter expires,bridge
+** 09           0b             Secondary Discard Timer (SDT): Sets the maximum number of PCI clock cycles 
+**									that bridge waits for an initiator on the secondary bus 
+**									to repeat a delayed transaction request. 
+**                                                            The counter starts when the delayed transaction completion is ready 
+**									to be returned to the initiator. 
+**                                                            When the initiator has not repeated the transaction 
+**									at least once before the counter expires,bridge 
 **										discards the delayed transaction from its queues.
 **                                                            0b=The secondary master time-out counter is 2 15 PCI clock cycles.
 **                                                            1b=The secondary master time-out counter is 2 10 PCI clock cycles.
-** 08           0b               Primary Discard Timer (PDT): Sets the maximum number of PCI clock cycles
-**									that bridge waits for an initiator on the primary bus
-**									to repeat a delayed transaction request.
-**                                                            The counter starts when the delayed transaction completion
-**									is ready to be returned to the initiator.
-**                                                            When the initiator has not repeated the transaction
-**									at least once before the counter expires,
+** 08           0b               Primary Discard Timer (PDT): Sets the maximum number of PCI clock cycles 
+**									that bridge waits for an initiator on the primary bus 
+**									to repeat a delayed transaction request. 
+**                                                            The counter starts when the delayed transaction completion 
+**									is ready to be returned to the initiator. 
+**                                                            When the initiator has not repeated the transaction 
+**									at least once before the counter expires, 
 **									bridge discards the delayed transaction from its queues.
 **                                                            0b=The primary master time-out counter is 2 15 PCI clock cycles.
 **                                                            1b=The primary master time-out counter is 2 10 PCI clock cycles.
 ** 07           0b            Fast Back-to-Back Enable (FBE): The bridge does not initiate back to back transactions.
-** 06           0b                 Secondary Bus Reset (SBR):
-**                                                            When cleared to 0b: The bridge deasserts S_RST#,
+** 06           0b                 Secondary Bus Reset (SBR): 
+**                                                            When cleared to 0b: The bridge deasserts S_RST#, 
 **									when it had been asserted by writing this bit to a 1b.
 **                                                                When set to 1b: The bridge asserts S_RST#.
-** 05           0b                   Master Abort Mode (MAM): Dictates bridge behavior on the initiator bus
-**									when a master abort termination occurs in response to
+** 05           0b                   Master Abort Mode (MAM): Dictates bridge behavior on the initiator bus 
+**									when a master abort termination occurs in response to 
 **										a delayed transaction initiated by bridge on the target bus.
 **                                                            0b=The bridge asserts TRDY# in response to a non-locked delayed transaction,
 **										and returns FFFF FFFFh when a read.
-**                                                            1b=When the transaction had not yet been completed on the initiator bus
-**										(e.g.,delayed reads, or non-posted writes),
-**                                                                 then bridge returns a Target Abort in response to the original requester
-**                                                                 when it returns looking for its delayed completion on the initiator bus.
-**                                                                 When the transaction had completed on the initiator bus (e.g., a PMW),
+**                                                            1b=When the transaction had not yet been completed on the initiator bus 
+**										(e.g.,delayed reads, or non-posted writes), 
+**                                                                 then bridge returns a Target Abort in response to the original requester 
+**                                                                 when it returns looking for its delayed completion on the initiator bus. 
+**                                                                 When the transaction had completed on the initiator bus (e.g., a PMW), 
 **										then bridge asserts P_SERR# (when enabled).
-**                                   For PCI-X transactions this bit is an enable for the assertion of P_SERR# due to a master abort
+**                                   For PCI-X transactions this bit is an enable for the assertion of P_SERR# due to a master abort 
 **								while attempting to deliver a posted memory write on the destination bus.
-** 04           0b                   VGA Alias Filter Enable: This bit dictates bridge behavior in conjunction with the VGA enable bit
-**								(also of this register),
-**                                                            and the VGA Palette Snoop Enable bit (Command Register).
-**                                                            When the VGA enable, or VGA Palette Snoop enable bits are on (i.e., 1b)
+** 04           0b                   VGA Alias Filter Enable: This bit dictates bridge behavior in conjunction with the VGA enable bit 
+**								(also of this register), 
+**                                                            and the VGA Palette Snoop Enable bit (Command Register). 
+**                                                            When the VGA enable, or VGA Palette Snoop enable bits are on (i.e., 1b) 
 **									the VGA Aliasing bit for the corresponding enabled functionality,:
 **                                                            0b=Ignores address bits AD[15:10] when decoding VGA I/O addresses.
 **                                                            1b=Ensures that address bits AD[15:10] equal 000000b when decoding VGA I/O addresses.
-**                                   When all VGA cycle forwarding is disabled, (i.e., VGA Enable bit =0b and VGA Palette Snoop bit =0b),
+**                                   When all VGA cycle forwarding is disabled, (i.e., VGA Enable bit =0b and VGA Palette Snoop bit =0b), 
 **									then this bit has no impact on bridge behavior.
 ** 03           0b                                VGA Enable: Setting this bit enables address decoding
-**								 and transaction forwarding of the following VGA transactions from the primary bus
+**								 and transaction forwarding of the following VGA transactions from the primary bus 
 **									to the secondary bus:
-**                                                            frame buffer memory addresses 000A0000h:000BFFFFh,
+**                                                            frame buffer memory addresses 000A0000h:000BFFFFh, 
 **									VGA I/O addresses 3B0:3BBh and 3C0h:3DFh, where AD[31:16]=¡§0000h?**									?and AD[15:10] are either not decoded (i.e., don't cares),
 **										 or must be ¡§000000b¡¨
 **                                                            depending upon the state of the VGA Alias Filter Enable bit. (bit(4) of this register)
-**                                                            I/O and Memory Enable bits must be set in the Command register
+**                                                            I/O and Memory Enable bits must be set in the Command register 
 **										to enable forwarding of VGA cycles.
-** 02           0b                                ISA Enable: Setting this bit enables special handling
-**								for the forwarding of ISA I/O transactions that fall within the address range
-**									specified by the I/O Base and Limit registers,
-**										and are within the lowest 64Kbyte of the I/O address map
+** 02           0b                                ISA Enable: Setting this bit enables special handling 
+**								for the forwarding of ISA I/O transactions that fall within the address range 
+**									specified by the I/O Base and Limit registers, 
+**										and are within the lowest 64Kbyte of the I/O address map 
 **											(i.e., 0000 0000h - 0000 FFFFh).
-**                                                            0b=All I/O transactions that fall within the I/O Base
-**										and Limit registers' specified range are forwarded
+**                                                            0b=All I/O transactions that fall within the I/O Base 
+**										and Limit registers' specified range are forwarded 
 **											from primary to secondary unfiltered.
-**                                                            1b=Blocks the forwarding from primary to secondary
-**											of the top 768 bytes of each 1Kbyte alias.
-**												On the secondary the top 768 bytes of each 1K alias
-**													are inversely decoded and forwarded
+**                                                            1b=Blocks the forwarding from primary to secondary 
+**											of the top 768 bytes of each 1Kbyte alias. 
+**												On the secondary the top 768 bytes of each 1K alias 
+**													are inversely decoded and forwarded 
 **														from secondary to primary.
 ** 01           0b                      SERR# Forward Enable: 0b=The bridge does not assert P_SERR# as a result of an S_SERR# assertion.
-**                                                            1b=The bridge asserts P_SERR# whenever S_SERR# is detected
+**                                                            1b=The bridge asserts P_SERR# whenever S_SERR# is detected 
 **									asserted provided the SERR# Enable bit is set (PCI Command Register bit(8)=1b).
-** 00           0b                     Parity Error Response: This bit controls bridge response to a parity error
+** 00           0b                     Parity Error Response: This bit controls bridge response to a parity error 
 **										that is detected on its secondary interface.
-**                                                            0b=When a data parity error is detected bridge does not assert S_PERR#.
-**                                                            Also bridge does not assert P_SERR# in response to a detected address
+**                                                            0b=When a data parity error is detected bridge does not assert S_PERR#. 
+**                                                            Also bridge does not assert P_SERR# in response to a detected address 
 **										or attribute parity error.
-**                                                            1b=When a data parity error is detected bridge asserts S_PERR#.
-**										The bridge also asserts P_SERR# (when enabled globally via bit(8)
+**                                                            1b=When a data parity error is detected bridge asserts S_PERR#. 
+**										The bridge also asserts P_SERR# (when enabled globally via bit(8) 
 **											of the Command register)
 **                                                            in response to a detected address or attribute parity error.
 **==============================================================================
 */
-#define     ARCMSR_PCI2PCI_BRIDGE_CONTROL_REG	                     0x3E    /*word*/
+#define     ARCMSR_PCI2PCI_BRIDGE_CONTROL_REG	                     0x3E    /*word*/ 
 /*
 **************************************************************************
 **                  Device Specific Registers 40-A7h
@@ -1619,11 +1790,11 @@ struct SENSE_DATA {
 **==============================================================================
 **  0x42-0x41: Secondary Arbiter Control/Status Register - SACSR
 ** Bit       Default                       Description
-** 15:12      1111b                  Grant Time-out Violator: This field indicates the agent that violated the Grant Time-out rule
-**							(PCI=16 clocks,PCI-X=6 clocks).
+** 15:12      1111b                  Grant Time-out Violator: This field indicates the agent that violated the Grant Time-out rule 
+**							(PCI=16 clocks,PCI-X=6 clocks). 
 **                                   Note that this field is only meaningful when:
-**                                                              # Bit[11] of this register is set to 1b,
-**									indicating that a Grant Time-out violation had occurred.
+**                                                              # Bit[11] of this register is set to 1b, 
+**									indicating that a Grant Time-out violation had occurred. 
 **                                                              # bridge internal arbiter is enabled.
 **                                           Bits[15:12] Violating Agent (REQ#/GNT# pair number)
 **                                                 0000b REQ#/GNT#[0]
@@ -1633,55 +1804,55 @@ struct SENSE_DATA {
 **                                                 1111b Default Value (no violation detected)
 **                                   When bit[11] is cleared by software, this field reverts back to its default value.
 **                                   All other values are Reserved
-** 11            0b                  Grant Time-out Occurred: When set to 1b,
+** 11            0b                  Grant Time-out Occurred: When set to 1b, 
 **                                   this indicates that a Grant Time-out error had occurred involving one of the secondary bus agents.
 **                                   Software clears this bit by writing a 1b to it.
 ** 10            0b                      Bus Parking Control: 0=During bus idle, bridge parks the bus on the last master to use the bus.
-**                                                            1=During bus idle, bridge parks the bus on itself.
+**                                                            1=During bus idle, bridge parks the bus on itself. 
 **									The bus grant is removed from the last master and internally asserted to bridge.
 ** 09:08        00b                          Reserved
-** 07:00      0000 0000b  Secondary Bus Arbiter Priority Configuration: The bridge secondary arbiter provides two rings of arbitration priority.
-**                                                                      Each bit of this field assigns its corresponding secondary
-**										bus master to either the high priority arbiter ring (1b)
-**											or to the low priority arbiter ring (0b).
-**                                                                      Bits [3:0] correspond to request inputs S_REQ#[3:0], respectively.
-**                                                                      Bit [6] corresponds to the bridge internal secondary bus request
-**										while Bit [7] corresponds to the SATU secondary bus request.
+** 07:00      0000 0000b  Secondary Bus Arbiter Priority Configuration: The bridge secondary arbiter provides two rings of arbitration priority. 
+**                                                                      Each bit of this field assigns its corresponding secondary 
+**										bus master to either the high priority arbiter ring (1b) 
+**											or to the low priority arbiter ring (0b). 
+**                                                                      Bits [3:0] correspond to request inputs S_REQ#[3:0], respectively. 
+**                                                                      Bit [6] corresponds to the bridge internal secondary bus request 
+**										while Bit [7] corresponds to the SATU secondary bus request. 
 **                                                                      Bits [5:4] are unused.
 **                                                                      0b=Indicates that the master belongs to the low priority group.
 **                                                                      1b=Indicates that the master belongs to the high priority group
 **=================================================================================
 **  0x43: Bridge Control Register 0 - BCR0
 ** Bit       Default                       Description
-** 07           0b                  Fully Dynamic Queue Mode: 0=The number of Posted write transactions is limited to eight
+** 07           0b                  Fully Dynamic Queue Mode: 0=The number of Posted write transactions is limited to eight 
 **									and the Posted Write data is limited to 4KB.
-**                                                            1=Operation in fully dynamic queue mode. The bridge enqueues up to
+**                                                            1=Operation in fully dynamic queue mode. The bridge enqueues up to 
 **									14 Posted Memory Write transactions and 8KB of posted write data.
 ** 06:03        0H                          Reserved.
-** 02           0b                 Upstream Prefetch Disable: This bit disables bridge ability
-**									to perform upstream prefetch operations for Memory
-**										Read requests received on its secondary interface.
-**                                 This bit also controls the bridge's ability to generate advanced read commands
-**								when forwarding a Memory Read Block transaction request upstream from a PCI-X bus
+** 02           0b                 Upstream Prefetch Disable: This bit disables bridge ability 
+**									to perform upstream prefetch operations for Memory 
+**										Read requests received on its secondary interface. 
+**                                 This bit also controls the bridge's ability to generate advanced read commands 
+**								when forwarding a Memory Read Block transaction request upstream from a PCI-X bus 
 **										to a Conventional PCI bus.
 **                                 0b=bridge treats all upstream Memory Read requests as though they target prefetchable memory.
 **										The use of Memory Read Line and Memory Read
-**                                      Multiple is enabled when forwarding a PCI-X Memory Read Block request
+**                                      Multiple is enabled when forwarding a PCI-X Memory Read Block request 
 **										to an upstream bus operating in Conventional PCI mode.
-**                                 1b=bridge treats upstream PCI Memory Read requests as though
-**									they target non-prefetchable memory and forwards upstream PCI-X Memory
-**											Read Block commands as Memory Read
-**												when the primary bus is operating
+**                                 1b=bridge treats upstream PCI Memory Read requests as though 
+**									they target non-prefetchable memory and forwards upstream PCI-X Memory 
+**											Read Block commands as Memory Read 
+**												when the primary bus is operating 
 **													in Conventional PCI mode.
-**                                 NOTE: This bit does not affect bridge ability to perform read prefetching
+**                                 NOTE: This bit does not affect bridge ability to perform read prefetching 
 **									when the received command is Memory Read Line or Memory Read Multiple.
 **=================================================================================
 **  0x45-0x44: Bridge Control Register 1 - BCR1 (Sheet 2 of 2)
 ** Bit       Default                       Description
 ** 15:08    0000000b                         Reserved
-** 07:06         00b                   Alias Command Mapping: This two bit field determines how bridge handles PCI-X ¡§Alias¡¨ commands,
-**								specifically the Alias to Memory Read Block and Alias to Memory Write Block commands.
-**                                                            The three options for handling these alias commands are to either pass it as is,
+** 07:06         00b                   Alias Command Mapping: This two bit field determines how bridge handles PCI-X ¡§Alias¡¨ commands, 
+**								specifically the Alias to Memory Read Block and Alias to Memory Write Block commands. 
+**                                                            The three options for handling these alias commands are to either pass it as is, 
 **									re-map to the actual block memory read/write command encoding, or ignore
 **                                                            			the transaction forcing a Master Abort to occur on the Origination Bus.
 **                                                   Bit (7:6) Handling of command
